#version 430 core

layout (location = 0) in vec2 aTexCoords;

out vec2 TexCoords;

void main()
{
    // Converting texture coordinates to positions (from 0:1 to -1:1)
    gl_Position = vec4(aTexCoords * 2 - 1, 0.0, 1.0);
    TexCoords = aTexCoords;
}